CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2015-5307

The KVM subsystem in the Linux kernel through 4.2.6, and Xen 4.3.x through 4.6.x, allows guest OS users to cause a denial of service (host OS panic or hang) by triggering many #AC (aka Alignment Check) exceptions, related to svm.c and vmx.c.
Publish Date : 2015-11-16 Last Update Date : 2017-05-23
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.9
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID 399

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2015:2552: kernel security and bug fix update (Important) oval:com.redhat.rhsa:def:20152552 unix
RHSA-2015:2636: kernel security and bug fix update (Important) oval:com.redhat.rhsa:def:20152636 unix
RHSA-2015:2645: kernel security and bug fix update (Important) oval:com.redhat.rhsa:def:20152645 unix
RHSA-2016:0004: kernel security update (Important) oval:com.redhat.rhsa:def:20160004 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2015-5307

# Product Type Vendor Product Version Update Edition Language
1 OS Linux Linux Kernel 4.2.3 Version Details Vulnerabilities
2 Application Oracle Vm Virtualbox 4.0.34 Version Details Vulnerabilities
3 Application Oracle Vm Virtualbox 4.1.42 Version Details Vulnerabilities
4 Application Oracle Vm Virtualbox 4.2.34 Version Details Vulnerabilities
5 Application Oracle Vm Virtualbox 4.3.29 Version Details Vulnerabilities
6 Application Oracle Vm Virtualbox 5.0.8 Version Details Vulnerabilities
7 OS XEN XEN 4.3.0 Version Details Vulnerabilities
8 OS XEN XEN 4.3.1 Version Details Vulnerabilities
9 OS XEN XEN 4.3.2 Version Details Vulnerabilities
10 OS XEN XEN 4.3.3 Version Details Vulnerabilities
11 OS XEN XEN 4.3.4 Version Details Vulnerabilities
12 OS XEN XEN 4.4.0 Version Details Vulnerabilities
13 OS XEN XEN 4.4.1 Version Details Vulnerabilities
14 OS XEN XEN 4.4.2 Version Details Vulnerabilities
15 OS XEN XEN 4.4.3 Version Details Vulnerabilities
16 OS XEN XEN 4.5.0 Version Details Vulnerabilities
17 OS XEN XEN 4.5.1 Version Details Vulnerabilities
18 OS XEN XEN 4.5.2 Version Details Vulnerabilities
19 OS XEN XEN 4.6.0 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Linux Linux Kernel 1
Oracle Vm Virtualbox 5
XEN XEN 13

- References For CVE-2015-5307

http://www.oracle.com/technetwork/topics/security/ovmbulletinjul2016-3090546.html CONFIRM
https://kb.juniper.net/JSA10783 CONFIRM
http://www.ubuntu.com/usn/USN-2804-1
UBUNTU USN-2804-1
http://www.ubuntu.com/usn/USN-2805-1
UBUNTU USN-2805-1
http://www.ubuntu.com/usn/USN-2806-1
UBUNTU USN-2806-1
http://www.ubuntu.com/usn/USN-2807-1
UBUNTU USN-2807-1
http://xenbits.xen.org/xsa/advisory-156.html CONFIRM
http://www.ubuntu.com/usn/USN-2802-1
UBUNTU USN-2802-1
https://bugzilla.redhat.com/show_bug.cgi?id=1277172 CONFIRM
http://www.ubuntu.com/usn/USN-2803-1
UBUNTU USN-2803-1
http://www.ubuntu.com/usn/USN-2800-1
UBUNTU USN-2800-1
http://www.ubuntu.com/usn/USN-2801-1
UBUNTU USN-2801-1
http://www.securitytracker.com/id/1034105
SECTRACK 1034105
http://www.securityfocus.com/bid/77528
BID 77528 Linux Kernel CVE-2015-5307 Denial of Service Vulnerability Release Date:2017-04-17
http://www.oracle.com/technetwork/topics/security/cpujan2016-2367955.html CONFIRM
http://www.oracle.com/technetwork/topics/security/linuxbulletinoct2015-2719645.html CONFIRM
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=54a20552e1eae07aa240fa370a0293e006b5faed CONFIRM
https://github.com/torvalds/linux/commit/54a20552e1eae07aa240fa370a0293e006b5faed CONFIRM
http://www.oracle.com/technetwork/topics/security/linuxbulletinjan2016-2867209.html CONFIRM
http://www.debian.org/security/2015/dsa-3414
DEBIAN DSA-3414
http://www.debian.org/security/2016/dsa-3454
DEBIAN DSA-3454
http://www.openwall.com/lists/oss-security/2015/11/10/6
MLIST [oss-security] 20151110 Re: CVE-2015-5307 kernel: kvm: guest to host DoS by triggering an infinite loop in microcode via #AC exception
http://lists.fedoraproject.org/pipermail/package-announce/2015-November/172300.html
FEDORA FEDORA-2015-668d213dc3
http://lists.fedoraproject.org/pipermail/package-announce/2015-November/172435.html
FEDORA FEDORA-2015-394835a3f6
http://lists.opensuse.org/opensuse-security-announce/2015-11/msg00035.html
SUSE SUSE-SU-2015:2108
http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00005.html
SUSE SUSE-SU-2015:2194
http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00026.html
SUSE SUSE-SU-2015:2339
http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00031.html
SUSE SUSE-SU-2015:2350
http://lists.opensuse.org/opensuse-security-announce/2016-02/msg00013.html
SUSE SUSE-SU-2016:0354
http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00038.html
SUSE SUSE-SU-2016:2074
http://lists.opensuse.org/opensuse-updates/2015-12/msg00039.html
SUSE openSUSE-SU-2015:2232
http://lists.opensuse.org/opensuse-updates/2015-12/msg00053.html
SUSE openSUSE-SU-2015:2250
http://rhn.redhat.com/errata/RHSA-2015-2636.html
REDHAT RHSA-2015:2636
http://rhn.redhat.com/errata/RHSA-2015-2645.html
REDHAT RHSA-2015:2645
http://rhn.redhat.com/errata/RHSA-2016-0046.html
REDHAT RHSA-2016:0046
http://support.citrix.com/article/CTX202583 CONFIRM
http://www.debian.org/security/2015/dsa-3396
DEBIAN DSA-3396
http://lists.fedoraproject.org/pipermail/package-announce/2015-November/172187.html
FEDORA FEDORA-2015-f150b2a8c8

- Metasploit Modules Related To CVE-2015-5307

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.